apiVersion: v1
kind: PersistentVolumeClaim
metadata:
    name: openldap-pvc
    namespace: dev-stuff
spec:
    storageClassName: ENC[AES256_GCM,data:QmhXWBBa7Y6vOA==,iv:4CLAM41qDMveOSMZvHmaAqw5Un+WzEHTfItGCv/482M=,tag:ySOLLTGRfy3onelHhehiIg==,type:str]
    accessModes:
        - ENC[AES256_GCM,data:mVoiV3NuZeEBoCCPgw==,iv:pM4sHR1E1If+APwn6k5rcrULtRNztXXDfaCpbeha+ws=,tag:y/3ECQJZDpGwxvw8ec2ODw==,type:str]
    resources:
        requests:
            storage: ENC[AES256_GCM,data:UFkV,iv:RVjryJw8KAXUOoX/MgZc7ZzfSxuw9e5voUcxHz42IlE=,tag:5OEl1j63FhUnbdpJUfyg/Q==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSB4WFg5RzVDWjFXL0JSMzlZ
            bGZIRlR4TFNRTWJVdFJhcks4SWNGWjVWZFZNCm5mTkladDNBTGg0d2RBUzA1MkVN
            WW9ac0xzRFBmUWhoNmFPM3FzT3YyeXcKLS0tIFNvNlZGLzhYUGNKVmtUTm11Ukpw
            WjJ0T0tvVVpWUTdmeXl5SXRiOW9BWUkKNcGTGXM+oG+8/SSXfuoRl2567Avq2KPq
            zu/HWrY0CDuDlUV84GZPd9udgo/pG91DwwAZ27PJbPojuVMHgXPDIw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:10Z"
    mac: ENC[AES256_GCM,data:ug8QUD+0AUAcmvvUk8wyHTWi0XKSeokblVzpM12nBbazmV/suoLuRLxa+eMe2un50oAQ4L4Z97QTuam+gFLwn64sasThq+4qYszlco741jD3p0XFWFBCHZrBKkv7zyBQKoU4vX74KI4gfbBy98cBbiUbCyg0HG+7Thhkfsp4pZw=,iv:bExblErIxPRW908badxcgd+XTmpjpSHpuyYzCWxlPXA=,tag:cuWBXGMj/5Wdr6U3yEYaEg==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: v1
kind: Service
metadata:
    labels:
        app: openldap
    name: openldap-ldaps-svc
    namespace: dev-stuff
spec:
    type: ClusterIP
    ports:
        - port: ENC[AES256_GCM,data:QqU4RQ==,iv:WFnmLkpf4YvQ35zGsgTOC4Cnxl4vPR8PMIfV2xEZJGk=,tag:vhfhhUESiXkiHsAg4jpjig==,type:int]
          protocol: ENC[AES256_GCM,data:R71k,iv:H87HuA6tXDEOQnZwADCdFpr0hLifGSHHuKksxjNwKDM=,tag:z0orOTQYaD7a9a0ZvcNITw==,type:str]
          targetPort: ENC[AES256_GCM,data:U8OCmA==,iv:mVka5aWaxmQexfujfMmrcjBJeH2n6MU/+JrvP32gbaY=,tag:i86/vQalrIbg8ZwbNA37hg==,type:int]
    selector:
        app: ENC[AES256_GCM,data:2qOV7kCz3yY=,iv:2KCDiDwfA7SZyOr1hlebUvwxiDfbnZtzNgcWwa9OBL4=,tag:H9Lm2QFp2GODm2WvJ9ED8w==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSB4WFg5RzVDWjFXL0JSMzlZ
            bGZIRlR4TFNRTWJVdFJhcks4SWNGWjVWZFZNCm5mTkladDNBTGg0d2RBUzA1MkVN
            WW9ac0xzRFBmUWhoNmFPM3FzT3YyeXcKLS0tIFNvNlZGLzhYUGNKVmtUTm11Ukpw
            WjJ0T0tvVVpWUTdmeXl5SXRiOW9BWUkKNcGTGXM+oG+8/SSXfuoRl2567Avq2KPq
            zu/HWrY0CDuDlUV84GZPd9udgo/pG91DwwAZ27PJbPojuVMHgXPDIw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:10Z"
    mac: ENC[AES256_GCM,data:ug8QUD+0AUAcmvvUk8wyHTWi0XKSeokblVzpM12nBbazmV/suoLuRLxa+eMe2un50oAQ4L4Z97QTuam+gFLwn64sasThq+4qYszlco741jD3p0XFWFBCHZrBKkv7zyBQKoU4vX74KI4gfbBy98cBbiUbCyg0HG+7Thhkfsp4pZw=,iv:bExblErIxPRW908badxcgd+XTmpjpSHpuyYzCWxlPXA=,tag:cuWBXGMj/5Wdr6U3yEYaEg==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: apps/v1
kind: Deployment
metadata:
    name: openldap
    namespace: dev-stuff
    labels:
        app: openldap
spec:
    replicas: ENC[AES256_GCM,data:0g==,iv:uucwc6vLW7ibCv2mjl5gawiQh/8oW1v26xuJuiJqGPQ=,tag:/xvrSrUIJgUQhjnEsrRfZQ==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:gIAW5yqbnC4=,iv:IoO8p+5dN9gyANsO10fFPf54yxjUfFGq8LGe2Yclp7s=,tag:g+dgVdXPDPHenwZAuPZTLA==,type:str]
    template:
        metadata:
            labels:
                app: openldap
                name: openldap
        spec:
            containers:
                - name: ENC[AES256_GCM,data:Qo3CicPIW7U=,iv:D5kZEJ9JkI79gnI5ie9d5UvMZSiyCGghw2GfR5/7uME=,tag:0ACSgdJ4iyQpnSA7OUlIuQ==,type:str]
                  image: ENC[AES256_GCM,data:U4UUABHUAyt9WGzJ2qwjtqPT4fErKRw=,iv:CpOcO+9l4h7pguhpCkGdr1v2fZ+w+2PSdd+uX0mgOB0=,tag:RIbj9pP0qkam2m6jgZh/PQ==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:ebAOaEGh58UAgwjM,iv:25OnlqKVWQFjq8kFa0HCWE8XzPqcqX9BR6Qk6nsTcnI=,tag:/7u+rPPEYYS7EC8Fwgaaxg==,type:str]
                  securityContext:
                    runAsUser: ENC[AES256_GCM,data:Tw==,iv:3AMiuWe/DkSIJVfwRZ5h8Lg1kO0McwE6gTFLFoC1qVo=,tag:CrrQ3fy4+Yi+8Nls7nn3wA==,type:int]
                  env:
                    - name: ENC[AES256_GCM,data:DlJ883baa9rtdB73AAO6,iv:5WjgGLrhQxMDYQlU70JXObGknU4qnTxOvudaXb08XQ4=,tag:V3D3jW3YV0nrFbfHxvpXPg==,type:str]
                      value: ENC[AES256_GCM,data:rgnv,iv:pSoSvL+Q93ksTIQHp97LsMm4ncYQYX7G+uZJFHIxEqk=,tag:6Kxlqnz6QvHbc3Ggzvvzog==,type:str]
                    - name: ENC[AES256_GCM,data:mOgPwQebzZfAipguc/XqMeMu,iv:xcC/euUqnWJZPRQhgrBgCw+B8fQ1SYv2rX0hiyRrSLk=,tag:GLlUduWPWtcWqWvQ8YASHA==,type:str]
                      value: ENC[AES256_GCM,data:YYRybo8WjX6Hhfh/QEyxnNcQO/U4i+sA9Znfx7yD,iv:qNMZFu0B2Nvv5n2lVP8279SlwmrDXpNq9awSy2+mwrI=,tag:NTHU3VBYTL16WpxlRczG8w==,type:str]
                    - name: ENC[AES256_GCM,data:edaMosy/v+3RXxu2yPK81i8=,iv:g7h60owLKqbIxRwb2v01EO45uO6BDM/ieShQ76tD2o8=,tag:XIFmztMElbkUoOJviZujnQ==,type:str]
                      value: ENC[AES256_GCM,data:CLtxKUbvUnEsRo0uL4Ub4qtoMYnZl9c2dGBPWrM=,iv:EPafBU/1q31escfGGGq+ynEdZnJjwr0EYKnjkdY78io=,tag:nj3v4/FP2h976LspsFWRIw==,type:str]
                    - name: ENC[AES256_GCM,data:B2VS28/vBkq22DKzfVmjAw==,iv:obeAe/iRpd/GVTNNuahnnAD97tHN7Nv2J+jqoBc58/0=,tag:wluBu3+L6a4wsWsTUYmsQg==,type:str]
                      value: ENC[AES256_GCM,data:2ZP8oUw/1ziC+XwcHKp3dUjkUONBKRO2bGFC2Q==,iv:oQvGkHTNhMNP/U5QHupweOnDH609GBvXrEoEpEN2opM=,tag:i46zdO/OSpk3Lzxp0NIGwQ==,type:str]
                  envFrom:
                    - secretRef:
                        name: ENC[AES256_GCM,data:0aODdQkdN7fGDx+lxMrMe41CFM+6mw==,iv:waSz1a2pbEppLO4vPyR7v3x1vG4pB8XD7i9DMEnG75s=,tag:dihlQ9rh+Pka49o5Si7eew==,type:str]
                  ports:
                    - containerPort: ENC[AES256_GCM,data:L67PaQ==,iv:lzJ2BKrDcTprRHluug4cyzhn5yONAqiBpEZ6UnH8k9k=,tag:v8HqN2jgaU2cHkPLtZJ/Hg==,type:int]
                  volumeMounts:
                    - name: ENC[AES256_GCM,data:LogHsULxJqG/xUeZMGR1,iv:muCKdBrE/VlpW0dxmTt8Vz/Snob1ERdvEGJnSskByhY=,tag:UjtpsP2m4GcvTCWPaui98g==,type:str]
                      mountPath: ENC[AES256_GCM,data:P7dmrGNw2zt8LxMqRxFsATs=,iv:e1RqMtb5ygAUq3jjNFBj5cSqnG8J831hsY4djn9jOwU=,tag:L1rnG0o8Bq6hX+RBXShvjA==,type:str]
                    - name: ENC[AES256_GCM,data:DbpWwPdskbStGVTFCKiH0ykC2w==,iv:C+fp53vGwDXYeXFBQYieF+90RdQDPa5bs6lbh5oxkLc=,tag:blLtCSoC2PIP0DM6H0xnIQ==,type:str]
                      mountPath: ENC[AES256_GCM,data:+dCOQ9RpEOy4qoITEsRD13vKCYTe,iv:a5RoQE+BxUTR32lTJOAhNq7eyeJI/BQqSTrziN03cU4=,tag:u7Dk3rtFPtmcF0oLs3ASfg==,type:str]
                  resources: {}
                  lifecycle:
                    postStart:
                        exec:
                            command:
                                - ENC[AES256_GCM,data:49MymjCDJQ==,iv:FpkRnsdySMaFhClRHtOZGwgFxG7Sxj7gsk83l3TyzYU=,tag:QEnRut0bv8oH9znj/iTgNw==,type:str]
                                - ENC[AES256_GCM,data:Lgw=,iv:jHiGsMqq2Yz4XxPp0DbSgAjlxtoWEwFpoJU9Ppg3kwo=,tag:D+tVs7zWa6VHrNwRBcf8NQ==,type:str]
                                - ENC[AES256_GCM,data:t6MHhaP3CdoJ4lbF9XXrbwwPXZXu0TPrRcjXKv45q3LGAz/Rez5oyAMQzauOHhHPuphTt2CudquAp1U=,iv:dXnN/WOXEfT01vxga7OLDvhuWN3LUiH/X/11hAvz2ks=,tag:aIoPFoUQuN9J7ENJK78d1A==,type:str]
            volumes:
                - name: ENC[AES256_GCM,data:XYcjK99vQ9VpAf3P+sy7,iv:lHzEs3XVZScX6oveGfl71JqHAnVKYwydrxu3HZM/S8M=,tag:RyrYmsrxKP+OMIahzoSNPw==,type:str]
                  persistentVolumeClaim:
                    claimName: ENC[AES256_GCM,data:A9bd4u+ucEiP7+KI,iv:D+aPAUZByAne4tjg/caVf4TcAA/cvdP3DeHFcI55jX4=,tag:bOShsxoRJveMMIP8IDb47g==,type:str]
                - name: ENC[AES256_GCM,data:DkonVcX/DzHdG/7aofJKHiXeZA==,iv:jZOmsJQeO95vl84QpW9jSd2BS8ZntTWvs9akFXegiOI=,tag:pnDo4mAwwMXuu1/m2Ek6Zw==,type:str]
                  secret:
                    secretName: ENC[AES256_GCM,data:38v6f5rUQ1ICscrI,iv:9WZozv1UkLk2n0qQIYl6dRC4S4mR8rqeMy1MKAtAqxE=,tag:8t76Qo5nnnfvlVjvaHxiTA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSB4WFg5RzVDWjFXL0JSMzlZ
            bGZIRlR4TFNRTWJVdFJhcks4SWNGWjVWZFZNCm5mTkladDNBTGg0d2RBUzA1MkVN
            WW9ac0xzRFBmUWhoNmFPM3FzT3YyeXcKLS0tIFNvNlZGLzhYUGNKVmtUTm11Ukpw
            WjJ0T0tvVVpWUTdmeXl5SXRiOW9BWUkKNcGTGXM+oG+8/SSXfuoRl2567Avq2KPq
            zu/HWrY0CDuDlUV84GZPd9udgo/pG91DwwAZ27PJbPojuVMHgXPDIw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:10Z"
    mac: ENC[AES256_GCM,data:ug8QUD+0AUAcmvvUk8wyHTWi0XKSeokblVzpM12nBbazmV/suoLuRLxa+eMe2un50oAQ4L4Z97QTuam+gFLwn64sasThq+4qYszlco741jD3p0XFWFBCHZrBKkv7zyBQKoU4vX74KI4gfbBy98cBbiUbCyg0HG+7Thhkfsp4pZw=,iv:bExblErIxPRW908badxcgd+XTmpjpSHpuyYzCWxlPXA=,tag:cuWBXGMj/5Wdr6U3yEYaEg==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
